For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
API ReferenceDeveloper Guides
API ReferenceDeveloper Guides
    • Getting Started
  • Customer Data API
  • Transaction Data API
      • GETCheck if a transaction alert exists
      • POSTAdd new transaction alert(s)
      • PUTUpdate an existing transaction alert
Contact Us
LogoLogo
Transaction Data APIAlerts

Check if a transaction alert exists

GET
https://transaction-api.cable.tech/transaction_alert
GET
/transaction_alert
$curl -G https://transaction-api.cable.tech/transaction_alert \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d alert_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890
1{
2 "alert_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "first_seen": "2024-01-15T09:30:00Z",
4 "last_seen": "2024-01-15T10:45:00Z",
5 "organization_id": "org-9876543210"
6}
Was this page helpful?
Previous

Add new transaction alert(s)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

alert_idstringRequired
The unique identifier of the transaction alert

Response

Transaction alert exists
alert_idstring
The unique identifier of the transaction alert
first_seendatetime
This represents the earliest timestamp associated with the transaction alert
last_seendatetime
This represents the latest timestamp associated with the transaction alert
organization_idstring
The organization ID for which the transaction alert was found

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error